

package gov.va.med.cds.client.proxy;


import java.nio.ByteBuffer;
import java.util.Properties;


public class MllpSocketBasedClientProxy
    extends
        AbstractMllpSocketBasedClientProxy

{
    private String host;

    public ByteBuffer sendMessage( ByteBuffer message, Properties properties )
    {

        if ( host == null || host.length() == 0)
        {
            throw new IllegalArgumentException( "Host is required by MllpSocketBasedClientProxy." );
        }
        return sendMessage( message, host);
    }

    public void setHost( String host )
    {
        this.host = host;
    }
}
